PrefabFiles = {
	"mrstek",
	"joystick",
	"headphones",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/mrstek.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/mrstek.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/mrstek.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/mrstek.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/mrstek_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/mrstek_silho.xml" ),

    Asset( "IMAGE", "bigportraits/mrstek.tex" ),
    Asset( "ATLAS", "bigportraits/mrstek.xml" ),
	
	Asset( "IMAGE", "images/map_icons/mrstek.tex" ),
	Asset( "ATLAS", "images/map_icons/mrstek.xml" ),

}

local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local Recipe = GLOBAL.Recipe
local TECH = GLOBAL.TECH
local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

STRINGS.CHARACTER_TITLES.mrstek = "MRSTEKPLAY"
STRINGS.CHARACTER_NAMES.mrstek = "MrStek"
STRINGS.CHARACTER_DESCRIPTIONS.mrstek = "*Has a cool joystick and headphones\n*Afraid of darkness"
STRINGS.CHARACTER_QUOTES.mrstek = "\"Hello dear friends with you Stek\""

STRINGS.CHARACTERS.MRSTEK = require "speech_mrstek"

table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "mrstek")

AddMinimapAtlas("images/map_icons/mrstek.xml")
AddModCharacter("mrstek")

STRINGS.NAMES.JOYSTICK = "Joystick"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.JOYSTICK = "Play and attack."
STRINGS.RECIPE_DESC.JOYSTICK = "Play and attack."
	
GLOBAL.STRINGS.NAMES.HEADPHONES = "Headphones"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.HEADPHONES = "Very loud."
STRINGS.RECIPE_DESC.HEADPHONES = "Very loud."

local joystick = Recipe("joystick", {Ingredient("gears", 1), Ingredient("transistor", 2)}, RECIPETABS.WAR, TECH.SCIENCE_NONE)
joystick.atlas = "images/inventoryimages/joystick.xml"
joystick.image = "joystick.tex"

local headphones = Recipe("headphones", {Ingredient("gears", 1), Ingredient("transistor", 2)}, RECIPETABS.DRESS, TECH.SCIENCE_NONE)
headphones.atlas = "images/inventoryimages/headphones.xml"
headphones.image = "headphones.tex"
