local assets=
{
	Asset("ANIM", "anim/headphones.zip"),	
	Asset("ATLAS", "images/inventoryimages/headphones.xml")
}

local function onequip(inst, owner) 
        owner.AnimState:OverrideSymbol("swap_hat", "headphones", "swap_hat")
        owner.AnimState:Show("HAT")
        owner.AnimState:Show("HAT_HAIR")
		
		if inst.components.fueled then
            inst.components.fueled:StartConsuming()        
        end
end

local function onunequip(inst, owner) 
        owner.AnimState:Hide("HAT")
        owner.AnimState:Hide("HAT_HAIR")
		
		if inst.components.fueled then
            inst.components.fueled:StopConsuming()        
        end
end


local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
--	inst.entity:AddNetwork()
    MakeInventoryPhysics(inst)
    	
    inst:AddTag("hat")
    
--	if IsDLCEnabled(CAPY_DLC) then
		-- Make floatable
--		MakeInventoryFloatable(inst, "idle_water", "idle")
--	end
	
    anim:SetBank("featherhat")
    anim:SetBuild("headphones")
    anim:PlayAnimation("anim")    
        
	inst:AddTag("irreplaceable")
	 
    inst:AddComponent("inspectable")
    
--	if not TheWorld.ismastersim then
--        return inst
--    end
	
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/headphones.xml"
	
--	inst:AddComponent("insulator")
--    inst.components.insulator:SetInsulation(TUNING.INSULATION_MED)
	       
    inst:AddComponent("equippable")
    inst.components.equippable.equipslot = EQUIPSLOTS.HEAD
	inst.components.equippable.dapperness = TUNING.DAPPERNESS_LARGE
    
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
	
	inst:AddComponent("fueled")
    inst.components.fueled.fueltype = "USAGE"
    inst.components.fueled:InitializeFuelLevel(TUNING.TOPHAT_PERISHTIME*1.5)
    --inst.components.fueled:SetDepletedFn(generic_perish)
    
    return inst
end

return Prefab( "common/inventory/headphones", fn, assets) 